<?php

declare(strict_types=1);

namespace App\Framework\DateTime;

use App\Framework\Core\ValueObjects\Duration;

interface Timer
{
    /**
     * Pausiert die Ausführung für die angegebene Duration.
     *
     * @param Duration $duration Die Pausendauer als Duration Value Object
     */
    public function sleep(Duration $duration): void;
}
